表示 Instagram 影音內容上的留言。
If you are migrating from Marketing API Instagram Ads endpoints to Instagram Platform endpoints, be aware that some field names are different.
我們推出了以下欄位:
legacy_instagram_comment_id不支援下列欄位:
comment_typementioned_instagram_users| Instagram API with Instagram Login | Instagram API with Facebook Login | |
|---|---|---|
Access Tokens |
| |
Host URL |
|
|
Login Type | Business Login for Instagram | Facebook Login for Business |
| Permissions |
|
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
|
不支援這項操作。
GET <HOST_URL>/<IG_COMMENT_ID>?fields=<LIST_OF_FIELDS>
GET https://<HOST_URL>/<API_VERSION>/<IG_COMMENT_ID> ?fields=<LIST_OF_FIELDS> &access_token=<ACCESS_TOKEN>
| 鍵值 | 預留位置 | 值 |
|---|---|---|
|
| 此為必要項目。應用程式用戶的用戶存取憑證。 |
|
| 您希望系統傳回的 Instagram 留言欄位逗號分隔清單,當中列有結果組合中每則 Instagram 留言的欄位。 |
| 欄位名稱 | 說明 |
|---|---|
| 物件包括:
|
| 表示留言是否已隱藏( |
| Instagram 留言編號。 |
| Instagram 留言讚好次數。 |
| 為 v21.0 或更舊版本的推廣 API 端點建立的 Instagram 留言編號。 |
| 物件包括:
|
| 如果此留言在另一則 Instagram 留言上建立(即另一則留言的回覆),則這個代碼為其上層 Instagram 留言的編號。 |
| Instagram 留言上的回覆(Instagram 留言)之清單。 |
| Instagram 留言文字。 |
| ISO 8601 格式的時戳,表示 Instagram 留言的建立時間。 範例: |
| 建立 Instagram 留言的 Instagram 用戶之編號。僅在 Instagram 留言由應用程式用戶建立時傳回,否則將傳回 |
| 建立 Instagram 留言的 Instagram 用戶之用戶名稱。 由 2024 年 8 月 27 日起,如果您想就 Instagram 用戶對應用程式用戶 Instagram 專業帳戶的影音內容留言,存取回應者的 |
| 關係連線 | 說明 |
|---|---|
獲取 Instagram 留言上的 Instagram 留言清單;在 Instagram 留言上建立 Instagram 留言。 |
{
"<FIELD>":"<VALUE>",
...
}
curl -i -X GET \
"https://graph.instagram.com/v25.0/17881770991003328?fields=hidden%2Cmedia%2Ctimestamp&access_token=EAAOc..."
{
"hidden": false,
"media": {
"id": "17856134461174448"
},
"timestamp": "2017-05-19T23:27:28+0000",
"id": "17881770991003328"
}POST <HOST_URL>/<IG_COMMENT_ID>?hide=<BOOLEAN>
hide(必要項目)—設定為 true 以隱藏留言;設定為 false 以顯示留言。hide=true,系統亦會一律顯示相關留言。收到留言的影音內容物件擁有者的用戶存取憑證。
隱藏留言:
POST graph.instagram.com /17873440459141021?hide=true
{
"success": true
}DELETE <HOST_URL>/<IG_COMMENT_ID>
建立留言的用戶之用戶存取憑證。
DELETE graph.instagram.com /17873440459141021
{
"success": true
}